Merkl Developer Portal logo
get

/v4/users/{address}/rewards/earned

Rewards an address earned over the last 30 days, per chain, token and campaign: current settled rewards minus the rewards in the merkle root live 30 days ago. Rows of private or hidden-leaderboard campaigns appear only to a caller allowed to read them. Chains whose window-start tree cannot be read are listed in unavailableChainIds. Requires an API key.

Path parameters

addressstring
required

User address

Query parameters

chainIdstring[]

Filter by chain IDs

isTestboolean

Include test tokens

Responses

200
Response for status 200
Schema
object
addressstring
required
windowSecondsnumber
required
totalUSDnumber
required
chainsobject[]
required
chainIdnumber
startRootstring | null
startTimestampnumber | null
endRootstringLive root the current amounts belong to
endTimestampnumber
tokensobject[]
addressstring
symbolstring
decimalsnumber
iconstring
pricenumber | null
amountstringAmount earned in the window, in token base units
amountUSDnumber
campaignsobject[]
campaignIdstring
amountstring
unavailableChainIdsnumber[]
required
Chains whose window-start tree cannot be read
Example
{
  "address": "string",
  "windowSeconds": 0,
  "totalUSD": 0,
  "chains": [
    {
      "chainId": 0,
      "startRoot": "string",
      "startTimestamp": 0,
      "endRoot": "string",
      "endTimestamp": 0,
      "tokens": [
        {
          "address": "string",
          "symbol": "string",
          "decimals": 0,
          "icon": "string",
          "price": null,
          "amount": "string",
          "amountUSD": 0,
          "campaigns": [
            null
          ]
        }
      ]
    }
  ],
  "unavailableChainIds": [
    0
  ]
}